Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler;
8
9 use eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory;
10 use Symfony\Component\Config\Definition\Builder\ArrayNodeDefinition;
11 use Symfony\Component\DependencyInjection\Definition as ServiceDefinition;
12 use Symfony\Component\DependencyInjection\Reference;
13
14 class LegacyDFSCluster implements ConfigurationFactory
15 {
16 public function getParentServiceId()
17 {
18 return 'ezpublish.core.io.metadata_handler.legacy_dfs_cluster';
19 }
20
21 public function configureHandler(ServiceDefinition $definition, array $config)
22 {
23 $definition->replaceArgument(0, new Reference($config['connection']));
24 }
25
26 public function addConfiguration(ArrayNodeDefinition $node)
27 {
28 $node
29 ->info(
30 'A MySQL based handler, compatible with the legacy DFS one, that stores metadata in the ezdfsfile table'
31 )
32 ->children()
33 ->scalarNode('connection')
34 ->info('Doctrine connection service')
35 ->example('doctrine.dbal.cluster_connection')
36 ->end()
37 ->end();
38 }
39 }
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster
Definition: Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php:15
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster\addConfiguration
addConfiguration(ArrayNodeDefinition $node)
Adds the handler's semantic configuration.
Definition: Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php:26
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster\configureHandler
configureHandler(ServiceDefinition $definition, array $config)
Configure the handler service based on the configuration.
Definition: Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php:21
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler\LegacyDFSCluster\getParentServiceId
getParentServiceId()
Returns the ID of the base, abstract service used to create the handlers.
Definition: Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/LegacyDFSCluster.php:16
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory
Factory for IO Handlers (metadata or binarydata) configuration.
Definition: ConfigurationFactory.php:21
eZ\Bundle\EzPublishIOBundle\DependencyInjection\ConfigurationFactory\MetadataHandler
Definition: Bundle/EzPublishIOBundle/DependencyInjection/ConfigurationFactory/MetadataHandler/Flysystem.php:7
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.